body{
	background-color: black;
	audio{
		display: none;
	}
	.snek-app{
		text-align: center;
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		flex-direction: column;
    	align-content: center;
		background-image: url(../arcade.png);
		background-repeat: no-repeat;
		background-size: contain;
		background-position: -20px 0;
		padding: 50px 0;
		width: 1450px;
		height: 2000px;
		margin: 0 auto;

		.snek.content{
			position: relative;
			&:before,&:after{
				content: '';
				position: absolute;
				top: 16px;
				width: 1041px;
				height: calc(100% - 36px); 
				background-size: cover;
				background-position: center 0%;
				left: 50%;
				transform: translateX(-50%);
				animation-name: movelines;
				animation-duration: 6s;
				animation-timing-function: linear;
				animation-iteration-count: infinite;
				border-radius: 6%;
				opacity: 0.3;
			}
			&:before{
				background-image: url('lines.png');
			}
			&:after{
				background-image: url('../vhs.gif');
			}
			#menu{
				color: white;
				position: absolute;
				text-align: left;
				top: 80px;
				left: 30px;
				font-size: 20px;
				font-family: courier;
				font-weight: bold;
				list-style: none;

				li#active{
					&:before{
						content: '> ';
					}
				}
			}
			canvas{
				border-radius: 50px;
  				border: 16px solid #000;
				background-image: url(../grass.png);
				background-position: center;
				background-size: cover;
			}
		}
		.controls{
			display: flex;
			flex-wrap: wrap;
			justify-content: space-between;
			width: 1072px;
			box-sizing: border-box;
			padding: 20px 180px;
			align-items: center;
			position: relative;
			top: 325px;
		}
		.button{
			background-color :#ce4a3a;
			border-radius: 100%;
			width: 140px;
			height: 100px;
			border-bottom: 10px solid #4b342f;
			transition: 0.3s all;
			position: relative;
			top: 0;
			margin: 10px;

			&:active{
				border-bottom: 1px solid #4b342f;
				top: 9px;
			}
		}
		.movement{
			width: 140px;
			height: 100px;
			position: relative;
			margin: 10px;
			box-sizing: border-box;
			background: #e9ded0;
			border-radius: 100%;
			*{
				width: 40px;
				height: 25px;
				background-color: #ce4a3a;
				border-radius: 100%;
				position: absolute;
				border-bottom: 3px solid #4b342f;
				transition: 0.3s all;
				transform: translateY(0px);
				&:active{
					transform: translateY(3px);
					border-bottom: 0px solid #4b342f;
				}

				&.left{
					left: 5px;
					top: 35px;
				}
				&.right{
					right: 5px;
					top: 35px;
				}
				&.top{
					top: 5px;
					left: 50px;
				}
				&.bottom{
					bottom: 5px;
					left: 50px;
				}
			}
		}
	}
}

@keyframes movelines{
	0% {background-position: center 0%;}
	100% {background-position: center 100%;}
}